Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 16 May 2021 08:05:44 +0000

Hi Wael amir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Dear sir,

Friday evening 10th May 20121  I used the gift card as attached is the bill of same, which is still having AED 241 left, but after I reached back home, I am unable to locate the card. Please assist if any way if duplicate card can be issued.

Account number Of Gift card - 9705 

Invoice Ref: 21005109072620210507 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2559090